libmodule-install-perl (1.14-1) unstable; urgency=medium

  * Import upstream version 1.14
  * Update Upstream-Contact in debian/copyright.
  * Mark package as autopkgtest-able.

 -- gregor herrmann <gregoa@debian.org>  Sat, 25 Oct 2014 23:55:47 +0200

libmodule-install-perl (1.12-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.
  * Add debian/upstream/metadata

  * Imported upstream version 1.12
  * Update (i.e. revert) upstream copyright years.
  * Drop packages from Recommends which were added upstream in 1.10 and
    removed again in 1.12.
  * Remove POD/manpage fix from debian/rules.
    The breakage in 1.10 is reverted upstream in 1.12.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Sep 2014 22:16:47 +0200

libmodule-install-perl (1.10-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years, add another third-party file.
  * Drop fix-pod.patch, merged upstream.
  * Update build and runtime dependencies.
  * debian/rules: remove or recreate manpages created from POD fragments.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Jul 2014 19:23:52 +0200

libmodule-install-perl (1.08-1) unstable; urgency=low

  [ Alessandro Ghedini ]
  * Email change: Alessandro Ghedini -> ghedo@debian.org

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Alessandro Ghedini ]
  * Remove myself from Uploaders

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  * New upstream release.
  * Update (build) dependencies.
  * debian/copyright: add information about third-party file.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 May 2014 16:54:43 +0200

libmodule-install-perl (1.06-1) unstable; urgency=low

  * Team upload

  [ Alessandro Ghedini ]
  * New upstream release
  * Update upstream copyright years
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3

  [ gregor herrmann ]
  * Don't remove some POD files any longer.

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 19 Mar 2012 13:30:29 +0100

libmodule-install-perl (1.04-1) unstable; urgency=low

  * Team upload
  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 20 Oct 2011 19:53:01 +0200

libmodule-install-perl (1.02-1) unstable; urgency=low

  [ gregor herrmann ]
  * Remove alternative (build) dependencies that are already satisfied
    in oldstable.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [Julián Moreno Patiño]
  * New upstream release.
  * Update copyright file to DEP5 rev 174.
    + Add myself to debian copyright.
  * Add myself to Uploaders.
  * Fix typo in previous changelog entry.

  [ gregor herrmann ]
  * Rename and update pod patch.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Thu, 29 Sep 2011 19:55:11 -0500

libmodule-install-perl (1.01-2) unstable; urgency=low

  * Team upload.
  * Add perl (>= 5.12) as an alternative to libextutils-install-perl.
    (Closes: #626333)

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 11 May 2011 08:04:13 +0200

libmodule-install-perl (1.01-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Email change: Salvatore Bonaccorso -> carnil@debian.org

  [ Alessandro Ghedini ]
  * New upstream release
  * Refresh patch
  * Add myself to Uploaders
  * Bump debhelper compat level to 8
  * Bump upstream copyright years
  * Remove unneded versioned dependencies on libfile-remove-perl,
    libpar-dist-perl and libwww-perl
  * Bump Standards-Version to 3.9.2
  * Update debian/changelog:
    - Replace "Debian GNU/Linux" with just "Debian"
    - Fix copyright-refers-to-symlink-license

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 29 Apr 2011 11:56:46 +0200

libmodule-install-perl (1.00-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Tue, 22 Jun 2010 19:19:13 +0200

libmodule-install-perl (0.99-1) unstable; urgency=low

  * New upstream release

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 01 Jun 2010 08:45:07 +0200

libmodule-install-perl (0.98-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Now depends on LWP 5.812

  [ Salvatore Bonaccorso ]
  * New upstream release (0.98).
  * Update the override_dh_auto_install target in debian/rules:
    dist_file.txt does not get installed anymore.

  [ gregor herrmann ]
  * debian/copyright: remove info about removed ppport.h.
  * Bump/add build and runtime dependencies on File::Spec: 3.28 and
    Module::Build: 0.29.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 31 May 2010 11:07:40 +0200

libmodule-install-perl (0.94-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * New upstream release
  * debian/patches: Drop fix-spelling-error-in-manpage.patch as it was applied
    upstream.
  * Drop override target for dh_auto_test as upstream moved the author tests
    to xt/.
  * Drop Build-Depends-Indep on libtest-pod-perl and perl (>= 5.10.1) |
    libpod-simple-perl (>= 3.07).

  [ gregor herrmann ]
  * Remove build dependencies on libtest-cpan-meta-perl and
    libtest-minimumversion-perl (used by the tests now in xt/).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 26 Feb 2010 13:45:30 +0100

libmodule-install-perl (0.93-1) unstable; urgency=low

  * New upstream release
  * Update debian/* copyright years
  * Standards-Version 3.8.4 (no changes)
  * Depend on Perl 5.10 instead of 5.8.9
  * Update removals so we can tell when they no longer apply

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 06 Feb 2010 20:55:34 -0500

libmodule-install-perl (0.92-1) unstable; urgency=low

  [ Jonathan Yu ]
  * Rewrite control description

  [ Salvatore Bonaccorso ]
  * New upstream release
  * Refresh debian/copyright. Update Copyright years.
  * Drop fix_META.yml_min_required_perl_version.patch patch since upstream
    fixed a variety of Perl::MinimumVersion complaints.
  * Convert to '3.0 (quilt)' package source format. Drop use of --with quilt
    in debian/rules and remove Build-Depends on quilt. Drop README.source
    since this is not needed anymore.
  * Add fix-spelling-error-in-manpage.patch to fix some spelling errors in
    manpages reported by lintian.

  [ gregor herrmann ]
  * debian/rules: set environment variable for tests in a
    override_dh_auto_test target.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 22 Jan 2010 22:02:53 +0100

libmodule-install-perl (0.91-2) unstable; urgency=low

  [ Ryan Niebur ]
  * Update jawnsy's email address
  * Update ryan52's email address

  [ gregor herrmann ]
  * debian/control:
    - (build-)depend on perl instead of perl-modules
    - remove version from 'perl' build dependency
    - remove build dependency on libalgorithm-diff-perl

  [ Salvatore Bonaccorso ]
  * Add patch bumping required Perl minimum version in META.yml.
    libmodule-install-perl FTBFS when activating author tests with newer
    libperl-mimimumversion-perl (>= 1.22). (Closes: #560626).
  * debian/control:
    - Add alternative Build-Depends and Depends with perl as provided with
      corelist listing to match correct version for the alternate
      dependency.
    - Bump Build-Depends on debhelper (>= 7.0.50) and quilt (>= 0.46-7).
  * Add myself to Uploaders
  * Bump Standards-Version to 3.8.3.
  * debian/copyright: Refresh to the current revision 59 of the machine
    readable format-specification in DEP5 and andd myself to Copyright field
    for debian/* packaging.
  * Simplify debian/rules using features in debhelper (>= 7.0.8), add-ons
    support and override targets.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 15 Dec 2009 21:28:41 +0100

libmodule-install-perl (0.91-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ryan Niebur ]
  * Add myself to Uploaders
  * Debian Policy 3.8.2

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 09 Jul 2009 00:55:21 -0700

libmodule-install-perl (0.90-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * New dependency on JSON >= 2.14 due to new MYMETA feature

  [ gregor herrmann ]
  * Refresh patch lintian-man-fixes.patch.

 -- Jonathan Yu <frequency@cpan.org>  Sat, 23 May 2009 13:58:10 -0400

libmodule-install-perl (0.89-1) unstable; urgency=low

  * New upstream release
  * Updated the long description
  * Cleaned up copyright file (minor changes)

 -- Jonathan Yu <frequency@cpan.org>  Wed, 20 May 2009 18:56:30 -0400

libmodule-install-perl (0.88-1) unstable; urgency=low

  [ Brian Cassidy ]
  * New upstream release
  * debian/copyright: added myself to copyright for debian/*

  [ gregor herrmann ]
  * debian/control: add versioned build dependencies on libtest-harness-perl
    and libtest-simple-perl, Module::Install claims to prefer newer versions
    than the one in perl-modules.

 -- Brian Cassidy <brian.cassidy@gmail.com>  Fri, 15 May 2009 10:35:45 -0300

libmodule-install-perl (0.87-1) unstable; urgency=low

  * New upstream release

 -- Brian Cassidy <brian.cassidy@gmail.com>  Mon, 11 May 2009 12:04:58 -0300

libmodule-install-perl (0.86-1) unstable; urgency=low

  * New upstream release
  * debian/control: added myself to Uploaders

 -- Brian Cassidy <brian.cassidy@gmail.com>  Mon, 04 May 2009 10:08:45 -0300

libmodule-install-perl (0.84-1) unstable; urgency=low

  * New upstream release
  * debian/patches/lintian-man-fixes.patch refresh
  * debian/control: Standards-Version update to 3.8.1 (no changes)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Wed, 15 Apr 2009 14:53:20 +0200

libmodule-install-perl (0.79-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + change Description and Extended Description
    + Update versioned depends from:
      B-D-I and Depends on libmodule-corelist-perl
      and libfile-remove-perl

 -- Rene Mayorga <rmayorga@debian.org>  Sat, 07 Feb 2009 01:06:48 -0600

libmodule-install-perl (0.78-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Rene Mayorga ]
  * New upstream release
  * debian/control:
    + add libtest-cpan-meta-perl, libpod-simple-perl and
    libtest-minimumversion-perl to B-D-I, this enable more tests
    + update my email address
  * debian/patches/lintian-man-fixes.patch:
    + add author and description
    + add NAME section also for Module::Install::DSL POD
  * debian/copyright:
    + update proposal format
    + separate debian/* copyright per author based on debian/changelog
    + add ppport.h version 3.x stanza
    + update upstream copyright years

 -- Rene Mayorga <rmayorga@debian.org>  Mon, 26 Jan 2009 19:48:50 -0600

libmodule-install-perl (0.77-1) unstable; urgency=low

  * New upstream release.
  * Remove patch disable-t_03_autoinstall.patch, the test is now disabled b
    default.
  * Remove lintian override, not needed any more.
  * debian/control: change my email address.
  * debian/copyright: add information for ppport.h.

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Aug 2008 18:06:20 -0300

libmodule-install-perl (0.76-1) unstable; urgency=low

  [ AGOSTINI Yves ]
  * New upstream release.
  * fix debian-copyright-line-too-long on line 1,8,14
  * add export DH_ALWAYS_EXCLUDE=.svn in rules
  * rules: remove dir usr/share/perl5/auto/ with useless
    usr/share/perl5/auto/share/dist/Module-Install/dist_file.txt

  [ gregor herrmann ]
  * debian/rules: add install to .PHONY.
  * debian/control: adjust versioned dependencies for libmodule-corelist-perl
    and libfile-remove-perl; add libfile-remove-perl to Depends.

 -- AGOSTINI Yves <agostini@univ-metz.fr>  Thu, 17 Jul 2008 14:21:48 +0200

libmodule-install-perl (0.75-1) unstable; urgency=low

  [ AGOSTINI Yves ]
  * New upstream release. (Closes: #485417)
  * force libmodule-corelist-perl (>= 2.15) in B-D
  * add quilt dep in control
  * add quilt use in rules
  * add lintian-man-fixes.patch to fix bad-whatis-entry warnings
  * add me to uploaders
  * add debian/lintian-overrides for a long url "can't break line" warnings
    in Philosophy.pod
  * debian/rules: install lintian override
  * debian/control Standards-Version: 3.8.0 add debian/README.source
  * debian/copyright update to proposal format rev=102

  [ Damyan Ivanov ]
  * skip t/03_autoinstall.t during build as it requires a configured CPAN home.
    Fixes FTBFS in clean environment (Closes: #479923)
  * Bump libyaml-tiny-perl (build-) dependency to 1.31
  * make (build-) dependency on libmodule-scandeps-perl versioned (>= 0.83)
  * add libmodule-corelist-perl (>= 2.15) to depends too
  * make (build-) dependency on libpar-dist-perl versioned (>= 0.29)
  * make (build-) dependency on libarchive-tar-perl versioned (>= 1.38)
  * add libextutils-install-perl (>= 1.50) to (build-) depends
  * add libextutils-parsexs-perl (>= 2.19) to (build-) depends
  * make (build-) dependency on libmodule-build-perl versioned (>= 0.2808)
  * make build-dependency on libfile-remove-perl versioned (>= 0.40)
  * shorten debian/rules with debhelper 7
    + bump compat-level and DH build-dep accordingly
  * refresh quilt patches with -pab --no-timestamps --no-index
  * add myself to Uploaders

  [ Niko Tyni ]
  * prefer perl-modules (>= 5.10.0) over versioned dependencies on
    libarchive-tar-perl and libmodule-build-perl.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 20 Jun 2008 16:20:58 +0300

libmodule-install-perl (0.72-1) unstable; urgency=low

  * New upstream release.

 -- Roberto C. Sanchez <roberto@debian.org>  Sat, 19 Apr 2008 17:55:21 -0400

libmodule-install-perl (0.71-1) unstable; urgency=low

  * New upstream release
  * Check for existence of Philosophy.pod, Install.pod and
    Module::Install::Admin::Manifest.3pm before deleting, thus
    we can de-ignore the output from this removal
  * Add myself to uploaders
  * Add AUTOMATED_TESTING=1 to enable more tests
  * Add libtest-pod-perl and libfile-remove-perl to B-D-I
  * Add libyaml-tiny-perl to B-D-I also add it to Depends field

 -- Rene Mayorga <rmayorga@debian.org.sv>  Mon, 24 Mar 2008 14:19:54 -0600

libmodule-install-perl (0.69-1) unstable; urgency=low

  * New upstream release.

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 16 Mar 2008 01:56:08 -0400

libmodule-install-perl (0.68-2) unstable; urgency=low

  * debian/rules:
    - delete /usr/lib/perl5 only if it exists (closes: #467806)
    - create install-stamp target depending on build-stamp
    - don't install README any more
  * debian/watch: use dist-based URL.
  * Set Standards-Version to 3.7.3 (no changes).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Thu, 06 Mar 2008 22:41:28 +0100

libmodule-install-perl (0.68-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules:
    - Don't ignore errors from $(MAKE) distclean.
    - Move tests to build target.
    - Don't ignore errors of tests.
    - Call dh_clean before $(MAKE) distclean.
    - Remove unused dh_* calls.
  * Remove /usr/share/man/man3/Module::Install::Admin::Manifest.3pm.gz which
    is a stub.
  * Add libmodule-corelist-perl to Build-Depends-Indep.
  * Add upstream URL and update copyright years/holders and license in
    debian/copyright.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Thu, 01 Nov 2007 13:03:38 +0100

libmodule-install-perl (0.67-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Fri, 18 May 2007 12:16:06 +0200

libmodule-install-perl (0.65-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Mon, 30 Apr 2007 14:05:41 +0200

libmodule-install-perl (0.64-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   + Build-Depends: debhelper version dependency increased to (>= 5.0.0)
  * debian/compat: increased to 5

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 29 Aug 2006 19:39:10 +0200

libmodule-install-perl (0.63-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   - Standards-Version increased to 3.7.2 without additional changes.

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed,  7 Jun 2006 14:58:00 +0200

libmodule-install-perl (0.62-1) unstable; urgency=low

  * New upstream release
  * debian/control
   - Standards-Version increased to 3.7.0 without additional changes.

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu,  4 May 2006 13:28:01 +0200

libmodule-install-perl (0.61-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Mon, 20 Mar 2006 12:35:42 +0100

libmodule-install-perl (0.60-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Sat, 11 Mar 2006 18:34:35 +0100

libmodule-install-perl (0.59-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue,  7 Mar 2006 16:34:36 +0100

libmodule-install-perl (0.57-1) unstable; urgency=low

  * New upstream release
  * debian/control - debhelper moved to Build-Depends

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Mon, 27 Feb 2006 09:50:11 +0100

libmodule-install-perl (0.56-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Mon, 13 Feb 2006 11:39:46 +0100

libmodule-install-perl (0.55-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed,  1 Feb 2006 11:01:18 +0100

libmodule-install-perl (0.54-1) unstable; urgency=low

  * New upstream release
  * debian/control - proper uploaders section, fix NMU bug
   (closes: #329591)

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed, 11 Jan 2006 15:23:51 +0100

libmodule-install-perl (0.50-1) unstable; urgency=low

  * New upstream release (closes: #329591)
  * Donate package to Debian Perl Group
    (discussion: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=329591)
  * Uploading without dependencies from CPANPLUS and Module::CoreList
  * debian/control - Standards-Version upgraded to 3.6.2 without changes

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Fri, 30 Dec 2005 12:12:47 +0100

libmodule-install-perl (0.34-2) unstable; urgency=low

  * Fix copyright file. (closes: #257421)

 -- Bastian Blank <waldi@debian.org>  Sat, 10 Jul 2004 17:05:48 +0200

libmodule-install-perl (0.34-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Fri, 02 Jul 2004 18:04:43 +0200

libmodule-install-perl (0.33-1) unstable; urgency=low

  * Initial Release.

 -- Bastian Blank <waldi@debian.org>  Sat,  3 Apr 2004 23:07:38 +0200
